package com.javaseleniumtemplate.pages;

import com.javaseleniumtemplate.bases.PageBase;
import org.openqa.selenium.By;

import java.util.concurrent.TimeUnit;

public class ContaContabilExcluirPage extends PageBase {

    //!!! Navegação Conta Contabil !!!
    By MenuPrincipalX = By.xpath("//div[@class='bars']");
    By Parametrizacao = By.xpath("//span[@class='menu-title ng-binding has-submenu'][text() = 'Parametrização']");
    By Contabil = By.xpath("/html/body/span/section/section/div[2]/section[1]/div/aside/div[2]/nav/ul/li[1]/ul/li[12]/ul/li[11]/span/span[3]");
    By ContaContabil = By.xpath("//span[@class='menu-title ng-binding'][text() = 'Conta Contábil']");

    //Depois que entrou na tela Conta Contabil
    By Seta6 = By.cssSelector(".tr:nth-child(6) svg");
    By Seta61 = By.cssSelector(".tr:nth-child(7) svg");
    By Seta611 = By.cssSelector(".tr:nth-child(8) svg");
    By Seta61101 = By.cssSelector(".tr:nth-child(9) svg");
    By Seta61101001 = By.cssSelector(".tr:nth-child(10) svg");

    By Conta6110100100001 = By.cssSelector(".zh-row-lvl-6 > .td:nth-child(2) > span");
    By Conta61101001 = By.xpath("/html/body/span/section/section/div[2]/section[2]/div/section/section/section/div/div[1]/div/div[2]/div/div[10]/div[2]");
    By Conta61101 = By.xpath("#grid-7773626834103639319915 > div.body > div > div.tr.zh-row-lvl-4.open.closed > div:nth-child(2)");
    By Conta611 = By.xpath("#grid-7773626834103639319915 > div.body > div > div.tr.zh-row-lvl-3.open.closed > div:nth-child(2)");
    By Conta61 = By.xpath("#grid-7773626834103639319915 > div.body > div > div.tr.zh-row-lvl-2.open.closed > div:nth-child(2)");
    By Conta6 = By.xpath("#grid-7773626834103639319915 > div.body > div > div.tr.zh-row-lvl-1.open.closed > div:nth-child(2)");



    // Botão Excluir
    By Excluir = By.cssSelector(".zh-ripple-effect:nth-child(2) .zh-test-box");
    By Sim = By.cssSelector(".zh-alert-button:nth-child(1) > span");

    public void NavegarUltimaContaContabil(){

        click(Seta6);
        click(Seta61);
        click(Seta611);
        click(Seta61101);
        click(Seta61101001);
    }

    public void ExcluirConta6110100100001(){
        click(Seta61101001);
        click(Seta61101001);
        click(Conta6110100100001);
        click(Excluir);
        click(Sim);
    }

    public void ExcluirConta61101001() {
        click(Seta61101);
        click(Seta61101);
        click(Conta61101001);
        click(Excluir);
        click(Sim);
    }

    public void ExcluirConta61101() {
        click(Seta611);
        click(Seta611);
        click(Conta61101);
        click(Excluir);
        click(Sim);
    }

    public void ExcluirConta611() {
        click(Conta61);
        click(Conta61);
        click(Conta611);
        click(Excluir);
        click(Sim);
    }

    public void ExcluirContaConta61() {
        click(Seta6);
        click(Seta6);
        click(Conta61);
        click(Excluir);
        click(Sim);
    }

    public void ExcluirContaConta6(){

        click(Conta6);
        click(Excluir);
        click(Sim);
    }





    public void AlertaUsuario() throws InterruptedException {
        this.driver.manage().timeouts().implicitlyWait(1, TimeUnit.MINUTES);
        driver.findElement(By.cssSelector("body > span > section > section > div.default-window > aside:nth-child(5) > aside > section > footer > button:nth-child(1)")).click();
    }


}