package com.javaseleniumtemplate.tests;
import com.javaseleniumtemplate.bases.TestBase;
import com.javaseleniumtemplate.flows.ContaCorrenteExcluirFlows;
import com.javaseleniumtemplate.flows.MainFlows;
import com.javaseleniumtemplate.flows.ContaCorrenteExcluirFlows;
import com.javaseleniumtemplate.pages.ContaCorrenteExcluirPage;
import com.javaseleniumtemplate.pages.LoginPage;
import com.javaseleniumtemplate.pages.MainPage;
import com.javaseleniumtemplate.pages.ContaCorrenteExcluirPage;
import org.testng.Assert;
import org.testng.annotations.Test;

public class ContaCorrenteExcluir extends TestBase {

    // Objetos

    MainPage mainPage;
    LoginPage loginPage;
    MainFlows MainFlows;
    com.javaseleniumtemplate.flows.ContaCorrenteExcluirFlows ContaCorrenteExcluirFlows;
    com.javaseleniumtemplate.pages.ContaCorrenteExcluirPage ContaCorrenteExcluirPage;

    // Teste

    @Test
    public void efetuarLoginComSucesso() throws InterruptedException {

        //Objetos Instanciados

        mainPage = new MainPage();
        loginPage = new LoginPage();
        MainFlows = new MainFlows();
        ContaCorrenteExcluirFlows = new ContaCorrenteExcluirFlows();
        ContaCorrenteExcluirPage = new ContaCorrenteExcluirPage();

        // Dados - Login

        String Usuario = "operador24@AUTOMACAO_2184.com";
        String Senha = "apresentacao";

        //Navegar
        String Procurar = "Conta Corrente";
        String CodigoReduzidoCCC = "Z66";
        String NumeroCCC = "1234567";

        String DescricaoCCC = "Conta usada para Teste";

        String DTSDOCCORR = "01/01/2023";
        String VRSDOIMPLA = "1000";

        String DATAINICIALEvolucao = "01/01/2023";


        loginPage.preenhcerUsuario(Usuario);
        loginPage.preencherSenha(Senha);
        loginPage.clicarEmLogin();

        // Aguardar Botão de Confirmação(Alerta: Sim)
        ContaCorrenteExcluirPage.AlertaUsuario();

        //Navegar até ContaCorrente
        ContaCorrenteExcluirPage.NavegarParaContaCorrente(Procurar);

        //Filtro
        ContaCorrenteExcluirPage.Filtro();

        //Excluir
        ContaCorrenteExcluirPage.Excluir();



    }
}