package com.javaseleniumtemplate.tests;

import com.javaseleniumtemplate.bases.TestBase;
import com.javaseleniumtemplate.flows.FormaDePagamentoFlows;
import com.javaseleniumtemplate.flows.MainFlows;
import com.javaseleniumtemplate.pages.FormaDePagamentoPage;
import com.javaseleniumtemplate.pages.LoginPage;
import com.javaseleniumtemplate.pages.MainPage;
import org.testng.Assert;
import org.testng.annotations.Test;



public class FormaDePagamento extends TestBase {

    // Objetos

    MainPage mainPage;
    LoginPage loginPage;
    MainFlows MainFlows;
    FormaDePagamentoFlows FormaDePagamentoFlows;
    FormaDePagamentoPage FormaDePagamentoPage;

    // Teste

    @Test
    public void efetuarLoginComSucesso() throws InterruptedException {

        //Objetos Instanciados

        mainPage = new MainPage();
        loginPage = new LoginPage();
        MainFlows = new MainFlows();
        FormaDePagamentoFlows = new FormaDePagamentoFlows();
        FormaDePagamentoPage = new FormaDePagamentoPage();

        // Dados - Login

        String Usuario = "operador24@AUTOMACAO_2184.com";
        String Senha = "apresentacao";

        String CodigoInformado = "8";

        String DescricaoInformado = "Conta de Teste";

        String NumeroDiaInicialDoPeriodo = "1";

        String NumeroDiaFinalDoPeríodo4 = "31";

        String NumeroDiaDePagamento = "31";

        String ValorNumeroDeMeses = "12";

        loginPage.preenhcerUsuario(Usuario);
        loginPage.preencherSenha(Senha);
        loginPage.clicarEmLogin();

        // Aguardar Botão de Confirmação(Alerta: Sim)
        FormaDePagamentoPage.AlertaUsuario();


        // Aguardar Botão de Confirmação(Alerta: Sim)
        FormaDePagamentoPage.navegarParaFormaDePagamento();

        // Adicionar Forma de Pagamento
        FormaDePagamentoPage.AdicionarFormaDePagamentoNovo(CodigoInformado, DescricaoInformado);

        // Adicionar Forma de Pagamento
        FormaDePagamentoPage.AbaPeriodoDePagamento(NumeroDiaInicialDoPeriodo, NumeroDiaFinalDoPeríodo4, NumeroDiaDePagamento, ValorNumeroDeMeses);

        //Editar a Forma de Pagamento Cadastrado
        FormaDePagamentoPage.EditarFormaDePagamento(DescricaoInformado, ValorNumeroDeMeses);

        //Excluir Periodo
        FormaDePagamentoPage.ExcluirPeriodo();
    }
}






