var Rec43000_ParametroContasReceber_Controller = function(ScreenService, General, templateManager, Rec43000_ParametroContasReceber_Service){
    
    var self = this;
    
    var allWidgetsForm = [];
    
    self.afterLoadSource = function(widget){
        var data = widget.dataSource.data[0];
        var dataEmpty = {
            'CDAJACREREC':'',
            'CDAJACRERENEGO':'',
            'CDAJDESCREC':'',
            'CDAJDESCRENEGO':'',
            'CDAJMORAREC':'',
            'CDAJMULTAREC':'',
            'CDAJTXCARTCNAB':'',
            'CDGERALREC':'',
            'CDGROPERCNTR':'',
            'CDMOTIPROR':'',
            'CDTPBXRENEGO':'',
            'DSAJACREREC':'',
            'DSAJACRERENEGO':'',
            'DSAJDESCREC':'',
            'DSAJDESCRENEGO':'',
            'DSAJMORAREC':'',
            'DSAJMULTAREC':'',
            'DSAJTXCARTCNAB':'',
            'DSMOTIPROR':'',
            'DSTPBXRENEGO':'',
            'IDBLOQALTBOLREC':'N',
            'IDBLOQINCNTR':'',
            'IDCOMPCHQBAIXA':'S',
            'IDEXTELACALAJUBX':'B',
            'IDTPCNTRLIB':'',
            'IDUTBCOPREFCLIE':'N',
            'IDUTCTRLCANREMR':'',
            'IDUTLNFDEVOLREC':'N',
            'IDUTLPRORVCREC':'',
            'NRORG':'',
            'QTDIAANTBAIR':'',
            'QTDIAANTBOLR':'',
            'QTDIAANTLANR':'',
            'QTDIAAPOBAIR':'',
            'QTDIAAPOBOLR':'',
            'QTDIAAPOLANR':'',
            'IDEXCLAJBBXR':'N',
            'IDUTENVBOLAUTO':'N',
            'QTDIAANTENVBOL':'',
            'DSASSMAILENVBOL':'',
            'DSMSGMAILENVBOL':'',
            'IDUTENVCARTAUTO':'N',
            'QTDIAPOSENVCAR':'',
            'DSASSMAILENVCAR':'',
            'DSMSGMAILENVCAR':'',
            'CDTPBAIRENVBOL':'',
            'IDUTVISUBOLOPEL':'N',
            'CDOPEPERVISUBOL':'',
            'IDUTLPROCREC': '',
            'CDGRUPOPERCONT': '',
            'CDGRUPOPEREXCLUSAOBAIXA': '',
            'CDGRUPOPERCANREMBOL': '',
            'DSGROPERPROR': '',
            'IDCONTROLARECCONTRATO': '',
            'CDGROPERPROR':''
            
        };
        var dados = null;
        
        if (data) {
            dados = data;
            dados.__is_new = false;
            
            // data.CDTPBAIRENVBOL_multi = data.CDTPBAIRENVBOL?data.CDTPBAIRENVBOL.split('_'):'';
            // widget.getField('CDTPBAIRENVBOL_multi').reload();
            
            data.CDOPEPERVISUBOL_multi = data.CDOPEPERVISUBOL?data.CDOPEPERVISUBOL.split('_'):'';
            widget.getField('CDOPEPERVISUBOL_multi').reload();
            widget.redraw();
        }else{
            dados = dataEmpty;
            dados.__is_new = true;
        }
        
        widget.currentRow = dados;
        
        var intervaloDatasForm = templateManager.container.getWidget('intervaloDatasForm');
        intervaloDatasForm.currentRow.QTDIAANTLANR = dados.QTDIAANTLANR;
        intervaloDatasForm.currentRow.QTDIAAPOLANR = dados.QTDIAAPOLANR;
        intervaloDatasForm.currentRow.QTDIAANTBAIR = dados.QTDIAANTBAIR;
        intervaloDatasForm.currentRow.QTDIAAPOBAIR = dados.QTDIAAPOBAIR;
        intervaloDatasForm.currentRow.QTDIAANTBOLR = dados.QTDIAANTBOLR;
        intervaloDatasForm.currentRow.QTDIAAPOBOLR = dados.QTDIAAPOBOLR;
        
        var grupoOperadoresForm = templateManager.container.getWidget('grupoOperadoresForm');
        grupoOperadoresForm.currentRow.IDBLOQINCNTR = dados.IDBLOQINCNTR;
        grupoOperadoresForm.currentRow.CDGROPERPROR = dados.CDGROPERPROR;
        grupoOperadoresForm.currentRow.DSGROPERPROR = dados.DSGROPERPROR;
        grupoOperadoresForm.currentRow.IDTPCNTRLIB = dados.IDTPCNTRLIB;
        grupoOperadoresForm.currentRow.IDUTLPROCREC = dados.IDUTLPROCREC;
        grupoOperadoresForm.currentRow.DSGROPERCNTR = dados.DSGROPERCNTR;
        grupoOperadoresForm.currentRow.CDGROPERCNTR = dados.CDGROPERCNTR;
        grupoOperadoresForm.currentRow.IDUTLPRORVCREC = dados.IDUTLPRORVCREC;
        grupoOperadoresForm.currentRow.IDCONTROLARECCONTRATO = dados.IDCONTROLARECCONTRATO;
        grupoOperadoresForm.currentRow.DSGROPERRECCONTR = dados.DSGROPERRECCONTR;
        grupoOperadoresForm.currentRow.CDGROPERRECCONTR = dados.CDGROPERRECCONTR;
        grupoOperadoresForm.currentRow.IDUTCTRLCANREMR = dados.IDUTCTRLCANREMR;
        
        var boletoBancarioForm = templateManager.container.getWidget('boletoBancarioForm');
        boletoBancarioForm.currentRow.IDUTENVBOLAUTO = dados.IDUTENVBOLAUTO;
        boletoBancarioForm.currentRow.QTDIAANTENVBOL = dados.QTDIAANTENVBOL;
        boletoBancarioForm.currentRow.DSASSMAILENVBOL = dados.DSASSMAILENVBOL;
        boletoBancarioForm.currentRow.DSMSGMAILENVBOL = dados.DSMSGMAILENVBOL;
        
        var cartaCobrancaForm = templateManager.container.getWidget('cartaCobrancaForm');
        cartaCobrancaForm.currentRow.IDUTENVCARTAUTO = dados.IDUTENVCARTAUTO;
        cartaCobrancaForm.currentRow.QTDIAPOSENVCAR = dados.QTDIAPOSENVCAR;
        cartaCobrancaForm.currentRow.DSASSMAILENVCAR = dados.DSASSMAILENVCAR;
        cartaCobrancaForm.currentRow.DSMSGMAILENVCAR = dados.DSMSGMAILENVCAR;
        
        if(dados.CDGRUPOPERCONT != null){
            grupoOperadoresForm.currentRow.CDGRUPOPERCONT = dados.CDGRUPOPERCONT.split(",");
            grupoOperadoresForm.getField('CDGRUPOPERCONT').reload();
        }
        
        if(dados.CDGRUPOPEREXCLUSAOBAIXA != null){
            grupoOperadoresForm.currentRow.CDGRUPOPEREXCLUSAOBAIXA = dados.CDGRUPOPEREXCLUSAOBAIXA.split(",");
            grupoOperadoresForm.getField('CDGRUPOPEREXCLUSAOBAIXA').reload();
        }
        
        if(dados.CDGRUPOPERCANREMBOL != null){
            grupoOperadoresForm.currentRow.CDGRUPOPERCANREMBOL = dados.CDGRUPOPERCANREMBOL.split(",");
            grupoOperadoresForm.getField('CDGRUPOPERCANREMBOL').reload();
        }
        
        allWidgetsForm = [
            templateManager.container.getWidget('operacionalForm'),
            templateManager.container.getWidget('intervaloDatasForm'),
            templateManager.container.getWidget('grupoOperadoresForm'),
            templateManager.container.getWidget('boletoBancarioForm'),
            templateManager.container.getWidget('cartaCobrancaForm')
        ];
        
        templateManager.updateTemplate();
    };

    self.saveTabeds = function(){
        var operacionalForm     = templateManager.container.getWidget('operacionalForm');
        var intervaloDatasForm  = templateManager.container.getWidget('intervaloDatasForm');
        var grupoOperadoresForm = templateManager.container.getWidget('grupoOperadoresForm');
        var boletoBancarioForm  = templateManager.container.getWidget('boletoBancarioForm');
        var cartaCobrancaForm   = templateManager.container.getWidget('cartaCobrancaForm');
        
        operacionalForm.currentRow.CDOPEPERVISUBOL = operacionalForm.currentRow.CDOPEPERVISUBOL_multi?operacionalForm.currentRow.CDOPEPERVISUBOL_multi.join('_'):'';
        
        boletoBancarioForm.currentRow.CDTPBAIRENVBOL = boletoBancarioForm.currentRow.CDTPBAIRENVBOL_multi?boletoBancarioForm.currentRow.CDTPBAIRENVBOL_multi.join('_'):'';
        
        var widgets = [
            operacionalForm.currentRow,
            intervaloDatasForm.currentRow,
            grupoOperadoresForm.currentRow,
            boletoBancarioForm.currentRow,
            cartaCobrancaForm.currentRow
        ];

        Rec43000_ParametroContasReceber_Service.saveWidgets(widgets).then(function () {
            operacionalForm.view();
            operacionalForm.template = operacionalForm.templateToView;
            
            intervaloDatasForm.view();
            intervaloDatasForm.template = intervaloDatasForm.templateToView;
            
            grupoOperadoresForm.view();
            grupoOperadoresForm.template = grupoOperadoresForm.templateToView;
            
            boletoBancarioForm.view();
            boletoBancarioForm.template = boletoBancarioForm.templateToView;
            
            cartaCobrancaForm.view();
            cartaCobrancaForm.template = cartaCobrancaForm.templateToView;
            
            //operacionalForm.reload();
            //intervaloDatasForm.reload();
            //grupoOperadoresForm.reload();
            //boletoBancarioForm.reload();
            //cartaCobrancaForm.reload();
            
            operacionalForm.currentRow.__is_new = false;
            
            ScreenService.showMessage('Registro salvo com sucesso.');
            
            //self.afterLoadSource(operacionalForm);
        }, function (error) {
            ScreenService.showMessage(error.data.error);
        });
    };

    self.editMode = function(){
        for (var i = 0; i < allWidgetsForm.length; i++) {
            var widget = allWidgetsForm[i];
            General.edit(widget);
            widget.template = widget.templateToForm;
        }
    };

    self.backToView = function(){
        for (var i = 0; i < allWidgetsForm.length; i++) {
            var widget = allWidgetsForm[i];
            widget.view();
            widget.currentRow = widget.backupRow;
            widget.template = widget.templateToView;
        }
    };
    
    this.HabilitaCampos = function(widget) { 
        
        var grupoOperadoresForm = templateManager.container.getWidget('grupoOperadoresForm');
        
        var idbloqincntr =  grupoOperadoresForm.getField("IDBLOQINCNTR");
        var dsgropercntr = grupoOperadoresForm.getField("DSGROPERCNTR");
        var cdgropercntr = grupoOperadoresForm.getField("CDGROPERCNTR");
        var idtpcntrlib = grupoOperadoresForm.getField("IDTPCNTRLIB");
        
        var idutlprocrec = grupoOperadoresForm.getField("IDUTLPROCREC");
        var cdgroperpror = grupoOperadoresForm.getField("CDGROPERPROR");
        var dsgroperpror = grupoOperadoresForm.getField("DSGROPERPROR");
        
        
        var cdgrupopercont = grupoOperadoresForm.getField("CDGRUPOPERCONT");
        var idutlprorvcrec = grupoOperadoresForm.getField("IDUTLPRORVCREC");
        
        var idcontrolareccontrato  = grupoOperadoresForm.getField("IDCONTROLARECCONTRATO");
        var dsgroperreccontr = grupoOperadoresForm.getField("DSGROPERRECCONTR");
        var cdgroperreccontr = grupoOperadoresForm.getField("CDGROPERRECCONTR");
        
        var idutctrlcanremr  = grupoOperadoresForm.getField("IDUTCTRLCANREMR");
        var cdgrupopercanrembol = grupoOperadoresForm.getField("CDGRUPOPERCANREMBOL");
        
        
        if(idbloqincntr.value() == "S"){
            dsgropercntr.readOnly = false;
            idtpcntrlib.readOnly = false;
            dsgropercntr.validations.required =  true;
        } else{
            dsgropercntr.readOnly = true;
            idtpcntrlib.readOnly = true;
            dsgropercntr.setValue("");
            cdgropercntr.setValue("");
            idtpcntrlib.setValue("N");
            delete(dsgropercntr.validations.required);
        }
        
        if(idutlprocrec.value() == "S"){
          dsgroperpror.readOnly = false;
          dsgroperpror.validations.required =  true;
        }else{
          dsgroperpror.readOnly = true;
          dsgroperpror.setValue("");
          cdgroperpror.setValue("");
          delete(dsgroperpror.validations.required);
        }
        
        if(idutlprorvcrec.value() == "S"){
          cdgrupopercont.readOnly = false;
          cdgrupopercont.validations.required =  true;
        }else{
          cdgrupopercont.readOnly = true;
          cdgrupopercont.setValue("");
          delete(cdgrupopercont.validations.required);
        }
        
        if(idcontrolareccontrato.value() == "S"){
          dsgroperreccontr.readOnly = false;
          dsgroperreccontr.validations.required =  true;
        }else{
          dsgroperreccontr.readOnly = true;
          cdgroperreccontr.setValue("");
          dsgroperreccontr.setValue("");
          delete(dsgroperreccontr.validations.required);
        }
        
        if(idutctrlcanremr.value() == "S"){
          cdgrupopercanrembol.readOnly = false;
          cdgrupopercanrembol.validations.required =  true;
        }else{
          cdgrupopercanrembol.readOnly = true;
          cdgrupopercanrembol.setValue("");
          delete(cdgrupopercanrembol.validations.required);
        }
        grupoOperadoresForm.reload();
    };
    
    this.saveTabedsOperadores = function(widget){
        var dataSet = { row:widget.currentRow};
        
        if(widget.isValid()){
            Rec43000_ParametroContasReceber_Service.saveTabedsOperadores(dataSet).then(
                function(sucess) {
                ScreenService.showMessage('Registro salvo com sucesso.');
                widget.view();
                widget.reload();
            },
            function(callback){
                if(callback.data){
                    ScreenService.showMessage("Ocorreu um erro inesperado ao salvar o grupo de operadores");
                }
            }
            );
        }
    };
    
    this.atualizaCampoBaixa = function(widget){
        var widgetBoleto = templateManager.container.getWidget('boletoBancarioForm');
        var widgetPrincipal = templateManager.container.getWidget('operacionalForm');
        var cdtpbairenbol = widgetPrincipal.dataSource.data[0].CDTPBAIRENVBOL?widgetPrincipal.dataSource.data[0].CDTPBAIRENVBOL.split('_'):'';
        widgetBoleto.getField('CDTPBAIRENVBOL_multi').setValue(cdtpbairenbol);
        widgetBoleto.getField('CDTPBAIRENVBOL_multi').reload();
    };
};
Configuration(function (ContextRegister){
    ContextRegister.register('Rec43000_ParametroContasReceber_Controller', Rec43000_ParametroContasReceber_Controller);
});