package com.javaseleniumtemplate.pages;

import com.javaseleniumtemplate.bases.PageBase;
import org.openqa.selenium.By;

import java.util.concurrent.TimeUnit;

public class ContaContabilEditarPage extends PageBase {

    // !!! Navegação Conta Contabil !!!
    By MenuPrincipalX = By.xpath("//div[@class='bars']");
    By Parametrizacao = By.xpath("//span[@class='menu-title ng-binding has-submenu'][text() = 'Parametrização']");
    By ContaContabil = By.xpath("//span[@class='menu-title ng-binding'][text() = 'Conta Contábil']");

    By CadastramentoAutomatico = By.xpath("//span[@class='zh-footer-title-sprit ng-binding'][text() = 'Cadastramento Automático']");

    By TipoCadastramento = By.xpath("//*[@id=\"popup\"]/span/section/section/section/div/form/section[1]/div/div/div/div/div[2]");
    By TipoCadastramentoIDENTIFICADOR = By.xpath("//*[@class='option selected focus'][text() = 'Identificador Padrão de Relatório']");
    By CadastramentoAutomaticoVertical = By.xpath("//*[@class='option '][text() = 'Conta Contábil Base (Análise Vertical)']");
    By CadastramentoAutomaticoReferencial = By.xpath("//*[@class='option '][text() = 'Alterar Conta Referencial']");

    By ContaContabilInicial = By.id("P_CONTAINICIAL");
    By ContaContabilFinal = By.id("P_CONTAFINAL");

    By ContaContabilInicialAnaliseVertical = By.xpath("//*[@id=\"P_CONTAINICIAL\"]/input");
    By ContaContabilFinalAnaliseVertical = By.xpath("//*[@id=\"P_CONTAFINAL\"]/input");

    By Lupa = By.xpath("//*[@id=\"P_CONTAINICIAL\"]/span/svg");
    By DentroLupa = By.xpath("//*[@id=\"popup\"]/span/section/section/section/section/div/div[2]/div/div[1]/ul/li[2]/div/div/div/div[3]/input");
    By Procurar = By.xpath("//*[@id=\"popup\"]/span/section/section/section/section/div/div[2]/div/div[1]/ul/li[2]/div/div/div/div[3]/input");
    By AtivoTeste = By.cssSelector("#popup > span > section > section > section > div > form > section:nth-child(2) > div > div > div:nth-child(1) > div > div.list-items.show-select > span:nth-child(1)");
    By PassivoTeste = By.cssSelector("#popup > span > section > section > section > div > form > section:nth-child(2) > div > div > div.col-xs-6.zh-field.last-of-row > div > div.list-items.show-select > span:nth-child(5)");
    By IdentificadorPadrao = By.xpath("//*[@id=\"popup\"]/span/section/section/section/div/form/section[3]/div/div/div/div/div[2]");
    By IdentificadorPadraoAtivo = By.xpath("//*[@class='option '][text() = 'Ativo']");
    By Salvar = By.xpath("//*[text() = 'Salvar']");
    By Sim = By.xpath("//span[text() = 'Sim']");
    By OK = By.xpath("//span[text() = 'OK']");
    By ContaContabilBase = By.xpath("//*[@id=\"P_CONTABASE\"]/input");
    By ContaContabilBaseEscolhida = By.cssSelector("#popup > span > section > section > section > div > form > section:nth-child(3) > div > div > div > div > div.list-items.show-select > span:nth-child(1)");

    By LupaContaContabilBase = By.xpath("//*[@id=\"P_CONTABASE\"]/span/svg");
    By AtivoTesteAnaliseVertical = By.cssSelector("#popup > span > section > section > section > div > form > section:nth-child(2) > div > div > div:nth-child(1) > div > div.list-items.show-select > span:nth-child(1)");
    By PassivoTesteAnaliseVertical = By.cssSelector("#popup > span > section > section > section > div > form > section:nth-child(2) > div > div > div.col-xs-6.zh-field.last-of-row > div > div.list-items.show-select > span:nth-child(1)");

    By TipoContaReferencialAlterar = By.xpath("//*[@id=\"popup\"]/span/section/section/section/div/form/section[2]/div/div[1]/div/div/div[2]");
    By ECDATUAL = By.xpath("//*[@id=\"popup\"]/span/section/section/section/div/form/section[2]/div/div[1]/div/div/div[2]/ul/li[1]");

    By ContaAntiga = By.id("P_CONTANTIGA");
    By SelecionarContaAntiga = By.xpath("//*[@id=\"popup\"]/span/section/section/section/div/form/section[2]/div/div[2]/div[1]/div/div[3]/span[1]");
    By ContaNova = By.xpath("//*[@id=\"P_CONTNOVA\"]/input");
    By SelecionarContaNova = By.xpath("//*[@id=\"popup\"]/span/section/section/section/div/form/section[2]/div/div[2]/div[2]/div/div[3]/span[3]");

    By PrimeiroNivelAlterar = By.cssSelector("#grid-7773626834103639319915 > div.body > div > div:nth-child(1) > div.td.zh-standard-column.grid-align-left.bold-parent > span.tree-expand-icon.closed > span > svg");
    By SegundoNivelAlterar = By.cssSelector("#grid-7773626834103639319915 > div.body > div > div:nth-child(2) > div.td.zh-standard-column.grid-align-left.bold-parent > span.tree-expand-icon.closed > span > svg");
    By TerceiroNivelAlterar = By.cssSelector("#grid-7773626834103639319915 > div.body > div > div:nth-child(3) > div.td.zh-standard-column.grid-align-left.bold-parent > span.tree-expand-icon.closed > span > svg");
    By QuartoNivelAlterar = By.cssSelector("#grid-7773626834103639319915 > div.body > div > div.tr.zh-row-lvl-4.closed > div.td.zh-standard-column.grid-align-left.bold-parent > span.tree-expand-icon.closed > span > svg");
    By QuintoNivelAlterar = By.cssSelector("#grid-7773626834103639319915 > div.body > div > div:nth-child(5) > div.td.zh-standard-column.grid-align-left.bold-parent > span.tree-expand-icon.closed > span > svg");
    By ContaAnaliticaAlterar = By.cssSelector("#grid-7773626834103639319915 > div.body > div > div:nth-child(6) > div:nth-child(1) > span:nth-child(2)");

    By BotaoEditar = By.cssSelector("#footer > div.zh-footer-center > ul > li:nth-child(1) > a > div");

    By Nome = By.id("NMCONTCTBL");
    By TipoConta = By.xpath("/html/body/span/section/section/div[2]/section[3]/div/div[4]/section/section/div/section/div/form/section[1]/div/div[3]/div[1]/div/div[2]");
    By TipoContaEscolhido = By.xpath("/html/body/span/section/section/div[2]/section[3]/div/div[4]/section/section/div/section/div/form/section[1]/div/div[3]/div[1]/div/div[2]/ul/li[2]");
    By TipoContaComercial = By.xpath("/html/body/span/section/section/div[2]/section[3]/div/div[4]/section/section/div/section/div/form/section[1]/div/div[3]/div[2]/div/div[2]");
    By TipoContaComercialEscolhido = By.xpath("/html/body/span/section/section/div[2]/section[3]/div/div[4]/section/section/div/section/div/form/section[1]/div/div[3]/div[2]/div/div[2]/ul/li[2]");
    By IdentificadorPadraoRelatorio = By.xpath("/html/body/span/section/section/div[2]/section[3]/div/div[4]/section/section/div/section/div/form/section[1]/div/div[4]/div[1]/div/div[2]");
    By IdentificadorPadraoRelatorioEscolhido = By.xpath("/html/body/span/section/section/div[2]/section[3]/div/div[4]/section/section/div/section/div/form/section[1]/div/div[4]/div[1]/div/div[2]/ul/li[1]");
    By ContaContabilBaseAnaliseVertical = By.id("CDCONTCTBLANALI");
    By ContaContabilBaseAnaliseVerticalEscolhido = By.cssSelector("body > span > section > section > div.default-window > section.zh-swipe-container.zh-swipe-right.open > div > div:nth-child(4) > section > section > div > section > div > form > section:nth-child(1) > div > div:nth-child(4) > div.col-xs-6.zh-field.last-of-row > div > div.list-items.show-select > span:nth-child(1)");
    By ContaReferencialLucroReal = By.id("CDCONTPLANREFE");
    By ContaReferencialLucroRealEscolhida = By.xpath("/html/body/span/section/section/div[2]/section[3]/div/div[4]/section/section/div/section/div/form/section[2]/div/div[1]/div[1]/div/div[3]/span[1]");
    By ContaReferencialLucroPresumido = By.xpath("//*[@id=\"CDCONTREFEPRE\"]/span[1]");
    By ContaReferencialLucroPresumidoEscolhida = By.xpath("/html/body/span/section/section/div[2]/section[3]/div/div[4]/section/section/div/section/div/form/section[2]/div/div[1]/div[2]/div/div[3]/span[1]");
    By ContaRefFCont = By.xpath("");
    By ContaRefImunesIsentas = By.xpath("");
    By NaturezaConta = By.xpath("/html/body/span/section/section/div[2]/section[3]/div/div[4]/section/section/div/section/div/form/section[2]/div/div[3]/div/div/div[2]");
    By NaturezaContaEscolhida = By.xpath("/html/body/span/section/section/div[2]/section[3]/div/div[4]/section/section/div/section/div/form/section[2]/div/div[3]/div/div/div[2]/ul/li[1]");
    By SubContasCorrelatas = By.xpath("/html/body/span/section/section/div[2]/section[3]/div/div[3]/section/header/div/div/ul/li[2]/label/a");
    By VoltarContabil= By.xpath("//*[@id=\"footer\"]/div[1]/ul/li/a/span[2]");
    By Adicionar = By.xpath("//*[@id=\"footer\"]/div[2]/ul/li/a/div");
    By AdicionarGrupo = By.xpath("");
    By AdicionarContaContabil = By.id("CDCONTACORRE");
    By AdicionarContaContabilEscolhida = By.xpath("/html/body/span/section/section/div[2]/section[3]/div[2]/div[4]/section/section/div/section/div/form/section/div/div[2]/div[1]");
    By Cancelar = By.xpath("//*[@id=\"footer\"]/div[1]/ul/li/a/span");

    //Botão Clicar Cadastramento Automatico
    public void ClicarCadastramentoAutomatico() {
        waitForElement(CadastramentoAutomatico);
        click(CadastramentoAutomatico);
    }

    public void SelecionarIdentificadorPadrao() {
        waitForElement(TipoCadastramento);
        click(TipoCadastramento);
        click(TipoCadastramentoIDENTIFICADOR);
    }

    public void SelecionarContaInicial(String NomeContaContabilIncial){
        click(ContaContabilInicial);
        waitForElement(AtivoTeste);
        click(AtivoTeste);
    }

    public void SelecionarContaFinal(String NomeContaContabilFinal){
        click(ContaContabilFinal);
        waitForElement(PassivoTeste);
        click(PassivoTeste);
    }

    public void SelecionarIdentificadorPadraoParteBaixo(){
        click(IdentificadorPadrao);
        click(IdentificadorPadraoAtivo);
    }
    public void Salvar(){
        click(Salvar);
        click(Sim);
        click(OK);
    }

    public void SelecionarAnaliseVertical() {
        waitForElement(TipoCadastramento);
        click(TipoCadastramento);
        click(CadastramentoAutomaticoVertical);
    }

    public void SelecionarContaInicialAnaliseVertical(String NomeContaContabilIncialAnaliseVertical){
        click(ContaContabilInicialAnaliseVertical);
        sendKeys(ContaContabilInicialAnaliseVertical, NomeContaContabilIncialAnaliseVertical);
        click(AtivoTesteAnaliseVertical);
    }

    public void SelecionarAnaliseVerticalContaFinal(String NomeContaContabilFinalAnaliseVertical){
        click(ContaContabilFinalAnaliseVertical);
        sendKeys(ContaContabilFinalAnaliseVertical, NomeContaContabilFinalAnaliseVertical);
        click(PassivoTesteAnaliseVertical);
    }

    public void ContaContabilBase(String NomeContaContabilFinalAnaliseVertical){
        click(ContaContabilBase);
        sendKeys(ContaContabilBase, NomeContaContabilFinalAnaliseVertical);
        click(ContaContabilBaseEscolhida);
    }

    public void SelecionarAlterarContaReferencial(String NomeContaContabilIncial) {
        waitForElement(TipoCadastramento);
        click(TipoCadastramento);
        click(CadastramentoAutomaticoReferencial);
        click(TipoContaReferencialAlterar);
        click(ECDATUAL);
        click(ContaAntiga);
        click(SelecionarContaAntiga);
        click(ContaNova);
        click(SelecionarContaNova);

    }

    public void NavegarContaAlterar() {
        waitForElement(CadastramentoAutomatico);
        click(PrimeiroNivelAlterar);
        click(SegundoNivelAlterar);
        click(TerceiroNivelAlterar);
        click(QuartoNivelAlterar);
        click(QuintoNivelAlterar);
        click(ContaAnaliticaAlterar);

    }

    public void Alterando(String NomeAlterar, String NomeContaReferencial) {
        waitForElement(BotaoEditar);
        click(BotaoEditar);
        click(Nome);
        sendKeys(Nome, NomeAlterar);
        click(TipoConta);
        click(TipoContaEscolhido);
        click(TipoContaComercial);
        click(TipoContaComercialEscolhido);
        click(IdentificadorPadraoRelatorio);
        click(IdentificadorPadraoRelatorioEscolhido);
        click(ContaContabilBaseAnaliseVertical);
        click(ContaContabilBaseAnaliseVerticalEscolhido);
        //click(ContaReferencialLucroReal);
        //sendKeys(ContaReferencialLucroReal, NomeContaReferencial);
        //click(ContaReferencialLucroRealEscolhida);
        //click(ContaReferencialLucroPresumido);
        //sendKeys(ContaReferencialLucroPresumido, NomeContaReferencial);
        //click(ContaReferencialLucroPresumidoEscolhida);
        click(NaturezaConta);
        click(NaturezaContaEscolhida);
        click(Salvar);
        click(SubContasCorrelatas);
        click(Adicionar);
        click(AdicionarContaContabil);
        click(AdicionarContaContabilEscolhida);
        click(Cancelar);
        waitForElement(VoltarContabil);
        click(VoltarContabil);

    }

    public void AlertaUsuario() throws InterruptedException {
        this.driver.manage().timeouts().implicitlyWait(1, TimeUnit.MINUTES);
        driver.findElement(By.cssSelector("body > span > section > section > div.default-window > aside:nth-child(5) > aside > section > footer > button:nth-child(1)")).click();
    }
}